bftsmart.tom

## Class RequestContext

- java.lang.Object
- - bftsmart.tom.RequestContext

    public final class RequestContext
    extends java.lang.Object

This class contains information related to a client request.

### Constructor Summary

Constructors
Constructor and Description
`RequestContext(int reqId, int operationId, bftsmart.tom.core.messages.TOMMessageType requestType, int[] targets, long sendingTime, bftsmart.communication.client.ReplyListener replyListener)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getOperationId()`
`bftsmart.communication.client.ReplyListener` `getReplyListener()`
`int` `getReqId()`
`bftsmart.tom.core.messages.TOMMessageType` `getRequestType()`
`long` `getSendingTime()`
`int[]` `getTargets()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestContext

    public RequestContext(int reqId,
                          int operationId,
                          bftsmart.tom.core.messages.TOMMessageType requestType,
                          int[] targets,
                          long sendingTime,
                          bftsmart.communication.client.ReplyListener replyListener)

### Method Detail

#### getReqId

    public final int getReqId()

#### getOperationId

    public final int getOperationId()

#### getRequestType

    public final bftsmart.tom.core.messages.TOMMessageType getRequestType()

#### getSendingTime

    public final long getSendingTime()

#### getReplyListener

    public bftsmart.communication.client.ReplyListener getReplyListener()

#### getTargets

    public int[] getTargets()